
body{
    background-image: url(photos/friseursiegen.jpg);
    background-size: cover; 
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    height: 100vh;
    background-position:center ;
    position: relative;
}
.first {
    text-transform: uppercase;
    writing-mode: vertical-lr;
    text-orientation: upright;
    letter-spacing: 19px;
    font-size: 3rem;
    left: 0;
    top: 50%;
    position: absolute;
    margin-left: 10%;
    transform: translate(-50%, -50%);
    background: linear-gradient(to left, #E5C85E, #A37310);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
  }
  .sec{
    text-transform: uppercase;
    writing-mode: vertical-lr;
    text-orientation: upright;
    margin-right: 10%;
    letter-spacing: 3px;
    font-size: 3rem;
    right: 0;
    top: 50%;
    transform: translate(50%, -50%);
    position: absolute;
    padding-top: 5%;
    background: linear-gradient(to right, #E5C85E, #A37310);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
  }
.next-page {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
}

.button-flip {
    transition: transform 0.5s;
}

.flip-right {
    transform: rotateY(90deg);
}

.flip-left {
    transform: rotateY(-90deg);
}
 .container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    perspective: 1000px;
    z-index: 0;
}
.buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    text-align: center;
    z-index: 1;
  }
  button {
    cursor: url(photos/curser.png), auto;
    position: relative;
    color: #E7CA63;
    overflow: hidden;
    padding: 6px 70px;
    font-size: 35px;
    text-decoration: none;
    letter-spacing: 2px;
    text-transform: uppercase;
    font-weight: bold;
    box-shadow: 0 20px 50px rgba(255, 255, 255, 0.05);
    z-index: 1;
    background-color: transparent;
  }
  /* Responsive Styles */
  @media (max-width: 768px) {
    .buttons {
      flex-direction: column;
      align-items: center;
      justify-content: center;
    }
  
    button {
      padding: 10px 40px;
    }
    .first{
      letter-spacing: 12px;
    }
  }
  
  @media (max-width: 480px) {
    button {
      padding: 8px 30px;
      font-size: 24px;
    }
  }
button:before {
    cursor: url(photos/curser.png), auto;
    position: absolute;
    width: 50%;
    top: 2px;
    left: 2px;
    bottom: 2px;
    content: '';
    background: rgba(142 255 240 / 6%);
}

button span:nth-child(1){
    position: absolute;
    width: 100%;
    height: 5px;
    top: 0;
    left: 0;
    background: linear-gradient(to right, #E7CA63, #A37310);
    animation: button1 6s linear infinite;
}
@keyframes button1{
    0%{
        transform: translateX(-100%);
    }
    100%{
        transform: translateX(100%);
    }
}
button span:nth-child(2){
    position: absolute;
    top: 0;
    right: 0;
    width: 5px;
    height: 100%;
    background: linear-gradient(to bottom, #E7CA63, #A37310);
    animation: button2 6s linear infinite;
    animation-delay: 3s;
}
@keyframes button2{
    0%{
        transform: translateY(-100%);
    }
    100%{
        transform: translateY(100%);
    }
}
button span:nth-child(3){
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5px;
    background: linear-gradient(to left, #E7CA63, #A37310);
    animation: button3 6s linear infinite;
}
@keyframes button3{
    0%{
        transform: translateX(100%);
    }
    100%{
        transform: translateX(-100%);
    }
}

button span:nth-child(4){
    position: absolute;
    top: 0;
    left: 0;
    width: 5px;
    height: 100%;
    background: linear-gradient(to top, #E7CA63, #A37310);
    animation: button4 6s linear infinite;
    animation-delay: 3s;
}
@keyframes button4{
    0%{
        transform: translateY(100%);
    }
    100%{
        transform: translateY(-100%);
    }
}